Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.jsr223
[Java] Class GroovyScriptEngineImpl

    java.lang.Object
      javax.script.AbstractScriptEngine
          org.codehaus.groovy.jsr223.GroovyScriptEngineImpl

All Implemented Interfaces:
  javax.script.Compilable, javax.script.Invocable

    public class GroovyScriptEngineImpl
    extends javax.script.AbstractScriptEngine

Field Summary

Fields inherited from class javax.script.AbstractScriptEngine
ARGV, FILENAME, ENGINE, ENGINE_VERSION, NAME, LANGUAGE, LANGUAGE_VERSION

Constructor Summary
`GroovyScriptEngineImpl()`
`GroovyScriptEngineImpl(GroovyClassLoader classLoader)`

Method Summary
`javax.script.CompiledScript` | `compile(java.lang.String scriptSource)`
`javax.script.CompiledScript` | `compile(java.io.Reader reader)`
`javax.script.Bindings` | `createBindings()`
`java.lang.Object` | `eval(java.io.Reader reader, javax.script.ScriptContext ctx)`
`java.lang.Object` | `eval(java.lang.String script, javax.script.ScriptContext ctx)`
`GroovyClassLoader` | `getClassLoader()`
`javax.script.ScriptEngineFactory` | `getFactory()`
`java.lang.Object` | `getInterface(java.lang.Class clazz)`
`java.lang.Object` | `getInterface(java.lang.Object thiz, java.lang.Class clazz)`
`java.lang.Object` | `invokeFunction(java.lang.String name, java.lang.Object... args)`
`java.lang.Object` | `invokeMethod(java.lang.Object thiz, java.lang.String name, java.lang.Object... args)`
`void` | `setClassLoader(GroovyClassLoader classLoader)`

Methods inherited from class javax.script.AbstractScriptEngine
javax.script.AbstractScriptEngine#setContext(javax.script.ScriptContext), javax.script.AbstractScriptEngine#setBindings(javax.script.Bindings, int), javax.script.AbstractScriptEngine#eval(java.io.Reader, javax.script.Bindings), javax.script.AbstractScriptEngine#eval(java.lang.String, javax.script.Bindings), javax.script.AbstractScriptEngine#eval(java.io.Reader), javax.script.AbstractScriptEngine#eval(java.lang.String), javax.script.AbstractScriptEngine#getBindings(int), javax.script.AbstractScriptEngine#get(java.lang.String), javax.script.AbstractScriptEngine#put(java.lang.String, java.lang.Object), javax.script.AbstractScriptEngine#getContext(), javax.script.AbstractScriptEngine#wait(long), javax.script.AbstractScriptEngine#wait(long, int), javax.script.AbstractScriptEngine#wait(), javax.script.AbstractScriptEngine#equals(java.lang.Object), javax.script.AbstractScriptEngine#toString(), javax.script.AbstractScriptEngine#hashCode(), javax.script.AbstractScriptEngine#getClass(), javax.script.AbstractScriptEngine#notify(), javax.script.AbstractScriptEngine#notifyAll(), javax.script.AbstractScriptEngine#eval(java.lang.String, javax.script.ScriptContext), javax.script.AbstractScriptEngine#eval(java.io.Reader, javax.script.ScriptContext), javax.script.AbstractScriptEngine#createBindings(), javax.script.AbstractScriptEngine#getFactory()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GroovyScriptEngineImpl

    public GroovyScriptEngineImpl()

### GroovyScriptEngineImpl

    public GroovyScriptEngineImpl(GroovyClassLoader classLoader)

Method Detail

### compile

    public javax.script.CompiledScript compile(java.lang.String scriptSource)

### compile

    public javax.script.CompiledScript compile(java.io.Reader reader)

### createBindings

    public javax.script.Bindings createBindings()

### eval

    public java.lang.Object eval(java.io.Reader reader, javax.script.ScriptContext ctx)

### eval

    public java.lang.Object eval(java.lang.String script, javax.script.ScriptContext ctx)

### getClassLoader

    public GroovyClassLoader getClassLoader()

### getFactory

    public javax.script.ScriptEngineFactory getFactory()

### getInterface

    public java.lang.Object getInterface(java.lang.Class clazz)

### getInterface

    public java.lang.Object getInterface(java.lang.Object thiz, java.lang.Class clazz)

### invokeFunction

    public java.lang.Object invokeFunction(java.lang.String name, java.lang.Object... args)

### invokeMethod

    public java.lang.Object invokeMethod(java.lang.Object thiz, java.lang.String name, java.lang.Object... args)

### setClassLoader

    public void setClassLoader(GroovyClassLoader classLoader)

Groovy Documentation